## org.apache.mahout.clustering.dirichlet
Class JsonClusterModelAdapter

    java.lang.Object
      org.apache.mahout.clustering.dirichlet.JsonClusterModelAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<Cluster>, com.google.gson.JsonSerializer<Cluster>

    public class JsonClusterModelAdapter

extends java.lang.Object
implements com.google.gson.JsonSerializer<Cluster>, com.google.gson.JsonDeserializer<Cluster>

Constructor Summary
`JsonClusterModelAdapter()`

Method Summary
`Cluster` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`
`com.google.gson.JsonElement` `serialize(Cluster src, java.lang.reflect.Type typeOfSrc, com.google.gson.JsonSerializationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonClusterModelAdapter

    public JsonClusterModelAdapter()

Method Detail

### serialize

    public com.google.gson.JsonElement serialize(Cluster src,
                                                 java.lang.reflect.Type typeOfSrc,
                                                 com.google.gson.JsonSerializationContext context)

  Specified by:
    `serialize` in interface `com.google.gson.JsonSerializer<Cluster>`

### deserialize

    public Cluster deserialize(com.google.gson.JsonElement json,
                               java.lang.reflect.Type typeOfT,
                               com.google.gson.JsonDeserializationContext context)

  Specified by:
    `deserialize` in interface `com.google.gson.JsonDeserializer<Cluster>`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.